<?php

require_once 'app/controllers/authenticated_controller.php';

class Example_AsiteController extends AuthenticatedController
{

    function index_action($param1 = false, $param2 = false)
    {
        // Daten besorgen

        $this->daten = array('index', 'Hier wird automagisch das in views/exmaple/asite/index.php hinterlegte Template verwendet. Der Dateiname des Templates ist immer gleich der Action');
    }

    function backendwithmessage_action()
    {
        // do something
        $this->flash['nachricht'] = array('message' => array('Diese Nachricht wurde bereits in der delete_action in der reservierten Variable flash gespeichert!'));

        // return to index-action
        $this->redirect('example/asite/index');

    }

    function redirect_action()
    {
        $this->redirect('example/asite/helloworld/Hallo Welt! Dieses mal sogar weitergeleitet von redirect!');
    }

    function helloworld_action($text = 'Hallo Welt!')
    {
        $this->render_text(
            'helloworld, $this->render_text(\''. htmlReady(urldecode($text)) .'\')<br>' .
            'Hier wird das einfach nur Text ausgegeben, ohne Layout<br><br>' .
            htmlReady(urldecode($text))
        );
    }

    function index2_action()
    {
        $this->daten = array('index2, $this->render_action(\'index\')', 'Hier wird das Template fr eine Action in diesem Controller gerendert, mit Layout');
        $this->render_action('index');
    }

    function index3_action()
    {
        $this->daten = array('index3: $this->render_template(\'example/asite/index\')', 'Hier wird nur ein Template aus view gerendert, ohne Layout');
        $this->render_template('example/asite/index');
    }

    function nihilist_action()
    {
        $this->render_nothing();
    }
}
